<?php

/*

 * Developer : John D'Alto (jdalto@yahoo.com)

 * Date : 9/1/2012

 * All code (c)2012 JLS Consulting, all rights reserved

 */



namespace Dorcas\TabithaBundle\Form\Type;



use Symfony\Component\Form\AbstractType;

use Symfony\Component\Form\FormBuilder;

use Symfony\Component\OptionsResolver\OptionsResolverInterface;





class ReferralsType extends AbstractType

{

    public function buildForm(FormBuilder $builder, array $options)

    {

       $builder->add('western_wake', 'checkbox', array('label' => 'Western Wake:', 'required'  => false,));

       $builder->add('western_wake_date', 'date', array('label' => 'Date:',

            'input'  => 'datetime',

            'widget' => 'single_text',

            'format' => 'MM/dd/yyyy',

            'error_bubbling' => 'true',

            'invalid_message' => 'Please entered a valid Western Wake Date'));

       $builder->add('oxford_house', 'checkbox', array('label' => 'Oxford House:', 'required'  => false,));

       $builder->add('oxford_house_date', 'date', array('label' => 'Date:',

            'input'  => 'datetime',

            'widget' => 'single_text',

            'format' => 'MM/dd/yyyy',

            'error_bubbling' => 'true',

            'invalid_message' => 'Please entered a valid Oxford House Date'));

       $builder->add('church');

       $builder->add('church_date', 'date', array('label' => 'Date:',

            'input'  => 'datetime',

            'widget' => 'single_text',

            'format' => 'MM/dd/yyyy',

            'error_bubbling' => 'true',

            'invalid_message' => 'Please entered a valid Church Date'));

       $builder->add('other', 'text', array('label' => 'Other:'));

       $builder->add('other_date', 'date', array('label' => 'Date:',

            'input'  => 'datetime',

            'widget' => 'single_text',

            'format' => 'MM/dd/yyyy',

            'error_bubbling' => 'true',

            'invalid_message' => 'Please entered a valid Other Date'));   

       

		$builder->add('dorcasprograms_benefitbank', 'checkbox', array('label' => 'The Benefit Bank', 'required'  => false,));

		$builder->add('dorcasprograms_budgetcounseling', 'checkbox', array('label' => 'Budget Counseling', 'required'  => false,));

		$builder->add('dorcasprograms_childcare', 'checkbox', array('label' => 'Childcare Scholarship', 'required'  => false,));

		$builder->add('dorcasprograms_jobsforlifeatdorcas', 'checkbox', array('label' => 'Jobs for Life at Dorcas', 'required'  => false,));

		$builder->add('dorcasprograms_joblink', 'checkbox', array('label' => 'JobLink', 'required'  => false,));

		$builder->add('dorcasprograms_margaretkeller', 'checkbox', array('label' => 'Margaret Keller Scholarship', 'required'  => false,));

		$builder->add('dorcasprograms_resourceoffice', 'checkbox', array('label' => 'Dorcas Resource Office', 'required'  => false,));

		$builder->add('dorcasprograms_other', 'checkbox', array('label' => 'Other Dorcas Programs', 'required'  => false,));



		$builder->add('crisis_catholicparishoutreach', 'checkbox', array('label' => 'Catholic Parish Outreach', 'required'  => false,));

		$builder->add('crisis_resourcesforseniors', 'checkbox', array('label' => 'Resources for Seniors', 'required'  => false,));

		$builder->add('crisis_salvationarmy', 'checkbox', array('label' => 'Salvation Army', 'required'  => false,));

		$builder->add('crisis_trianglefamilyservices', 'checkbox', array('label' => 'Triangle Family Services', 'required'  => false,));

		$builder->add('crisis_wakecountyhumanservices', 'checkbox', array('label' => 'Wake County Human Services', 'required'  => false,));

		$builder->add('crisis_westernwake', 'checkbox', array('label' => 'Western Wake Crisis Ministry', 'required'  => false,));

		$builder->add('crisis_withlovefromjesus', 'checkbox', array('label' => 'With Love from Jesus', 'required'  => false,));

		$builder->add('crisis_other', 'checkbox', array('label' => 'Other Crisis Assistance Programs', 'required'  => false,));

	   

	   $builder->add('housing_cornerstone', 'checkbox', array('label' => 'Cornerstone', 'required'  => false,));

       $builder->add('housing_raleighrescuemission', 'checkbox', array('label' => 'Raleigh Rescue Mission', 'required'  => false,));

       $builder->add('housing_salvationarmy', 'checkbox', array('label' => 'Salvation Army Shelter', 'required'  => false,));

       $builder->add('housing_southwilmingtonstreetshelter', 'checkbox', array('label' => 'South Wilmington Shelter', 'required'  => false,));

       $builder->add('housing_wakeinterfaithhospitalitynetwork', 'checkbox', array('label' => 'Wake Interfaith Hospitality Network', 'required'  => false,));

       $builder->add('housing_interact', 'checkbox', array('label' => 'Interact Shelter', 'required'  => false,));

       $builder->add('housing_caryingplace', 'checkbox', array('label' => 'The Carying Place', 'required'  => false,));

       $builder->add('housing_other', 'checkbox', array('label' => 'Other Housing Program', 'required'  => false,));

       

       $builder->add('employment_jobsforlife', 'checkbox', array('label' => 'Jobs for Life', 'required'  => false,));

	   $builder->add('employment_joblink', 'checkbox', array('label' => 'Job Link', 'required'  => false,));

	   $builder->add('employment_stepupministry', 'checkbox', array('label' => 'Step Up Ministry', 'required'  => false,));

	   $builder->add('employment_otheremploymentprogram', 'checkbox', array('label' => 'Other Employment Program', 'required'  => false,));

	   

       $builder->add('education_english', 'checkbox', array('label' => 'English as a Second Language', 'required'  => false,));

	   $builder->add('education_gedclasses', 'checkbox', array('label' => 'GED Classes', 'required'  => false,));

	   $builder->add('education_waketechclasses', 'checkbox', array('label' => 'Wake Tech Classes', 'required'  => false,));

	   $builder->add('education_parentingclasses', 'checkbox', array('label' => 'Parenting Classes', 'required'  => false,));

	   $builder->add('education_othertraining', 'checkbox', array('label' => 'Other Training', 'required'  => false,));

		   

	   

	   $builder->add('medical_alliancemedicalministry', 'checkbox', array('label' => 'Alliance Medical Ministry', 'required'  => false,));

	   $builder->add('medical_figs', 'checkbox', array('label' => 'FIGS Prescription Program', 'required'  => false,));

	   $builder->add('medical_ncdentalbus', 'checkbox', array('label' => 'North Carolina Dental Bus', 'required'  => false,));

	   $builder->add('medical_theopendoorclinic', 'checkbox', array('label' => 'The Open Door Clinic', 'required'  => false,));

	   $builder->add('medical_uncschoolofdentistry', 'checkbox', array('label' => 'UNC Dental Clinic', 'required'  => false,));

	   $builder->add('medical_wakehealthservices', 'checkbox', array('label' => 'Wake Health Services', 'required'  => false,));

	   $builder->add('medical_othermedicalprogram', 'checkbox', array('label' => 'Other Medical Program', 'required'  => false,));

	   

	   $builder->add('personalcounseling_centerforhopeandhealing', 'checkbox', array('label' => 'Center for Hope and Healing', 'required'  => false,));

	   $builder->add('personalcounseling_trianglefamilyservices', 'checkbox', array('label' => 'Triangle Family Services', 'required'  => false,));

	   $builder->add('personalcounseling_wakementalhealth', 'checkbox', array('label' => 'Wake County Mental Health', 'required'  => false,));

	   $builder->add('personalcounseling_othercounselingprogram', 'checkbox', array('label' => 'Other Mental Health Program', 'required'  => false,));

	   

	   $builder->add('substanceabuseprograms_havenhouseinc', 'checkbox', array('label' => 'Haven House ', 'required'  => false,));

	   $builder->add('substanceabuseprograms_oxfordhouse', 'checkbox', array('label' => 'Oxford House', 'required'  => false,));

	   $builder->add('substanceabuseprograms_southlight', 'checkbox', array('label' => 'South Light', 'required'  => false,));

	   $builder->add('substanceabuseprograms_thehealingplace', 'checkbox', array('label' => 'The Healing Place', 'required'  => false,));

	   $builder->add('substanceabuseprograms_trianglealanoclub', 'checkbox', array('label' => 'Triangle Alano Club', 'required'  => false,));

	   $builder->add('substanceabuseprograms_othersubstanceabuseprogram', 'checkbox', array('label' => 'Other Recovery Program', 'required'  => false,));

	   

	   $builder->add('legalservices_legalaidofnorthcarolina', 'checkbox', array('label' => 'Legal Aid ', 'required'  => false,));

	   $builder->add('legalservices_northcarolinalegalservicesinc', 'checkbox', array('label' => 'North Carolina Legal Services ', 'required'  => false,));

	   $builder->add('legalservices_otherlegalservices', 'checkbox', array('label' => 'Other Legal Services', 'required'  => false,));

	   

       $builder->add('specialprograms_christmas', 'checkbox', array('label' => 'Christmas Program', 'required'  => false,));

	   $builder->add('specialprograms_thanksgiving', 'checkbox', array('label' => 'Thanksgiving Program', 'required'  => false,));

       $builder->add('specialprograms_emaillist', 'checkbox', array('label' => 'Dorcas Email List', 'required'  => false,));

	   $builder->add('specialprograms_other', 'checkbox', array('label' => 'Other Special Program', 'required'  => false,));

	   

	   

    }

    

   

    public function getName()

    {

        return 'referralsform';

    }

    

    public function getDefaultOptions(array $options)

    {

        return array('data_class' => 'Dorcas\TabithaBundle\Entity\Referrals',

         

);

    }

    

    public function setDefaultOptions(OptionsResolverInterface $resolver)

    {

    $resolver->setDefaults(array(

        'data_class' => 'Dorcas\TabithaBundle\Entity\Referrals',

    ));

    }

}

